Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper Class Reference

UrlAlias Mapper. More...

## Public Member Functions
| __construct (LanguageMaskGenerator $languageMaskGenerator)
| Creates a new UrlWildcard Handler. More...
| extractUrlAliasFromData ($data)
| Creates a UrlAlias object from database row data. More...
| extractUrlAliasListFromData (array $rows)
| Extracts UrlAlias objects from database $rows. More...
| extractLanguageCodesFromData (array $rows)
| Extracts language codes from database $rows. More...

## Protected Member Functions
| matchTypeAndDestination ($action)
| normalizePathData (array $pathData)
| normalizePathDataRow (array &$pathElementData, array $row)

## Protected Attributes
| $languageMaskGenerator

## Detailed Description

UrlAlias Mapper.

Definition at line 15 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::__construct | ( | LanguageMaskGenerator | $languageMaskGenerator | ) |

Creates a new UrlWildcard Handler.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Language\MaskGenerator | $languageMaskGenerator |

Definition at line 29 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\$languageMaskGenerator.

## Member Function Documentation

## ◆ extractLanguageCodesFromData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::extractLanguageCodesFromData | ( | array | $rows | ) |

Extracts language codes from database $rows.

Parameters

  array | $rows |

Returns
  string[]

Definition at line 83 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

## ◆ extractUrlAliasFromData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::extractUrlAliasFromData | ( |  | $data | ) |

Creates a UrlAlias object from database row data.

Parameters

  mixed[] | $data |

Returns
  \eZ\Publish\SPI\Persistence\Content\UrlAlias

Definition at line 41 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\matchTypeAndDestination(), and eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\normalizePathData().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\extractUrlAliasListFromData().

## ◆ extractUrlAliasListFromData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::extractUrlAliasListFromData | ( | array | $rows | ) |

Extracts UrlAlias objects from database $rows.

Parameters

  array | $rows |

Returns
  \eZ\Publish\SPI\Persistence\Content\UrlAlias[]

Definition at line 66 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\extractUrlAliasFromData().

## ◆ matchTypeAndDestination()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::matchTypeAndDestination | ( |  | $action | ) |
| protected

Exceptions

Definition at line 100 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

References eZ\Publish\SPI\Persistence\Content\UrlAlias\LOCATION, eZ\Publish\SPI\Persistence\Content\UrlAlias\RESOURCE, and eZ\Publish\SPI\Persistence\Content\UrlAlias\VIRTUAL.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\extractUrlAliasFromData().

## ◆ normalizePathData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::normalizePathData | ( | array | $pathData | ) |
| protected

Parameters

  array | $pathData |

Returns
  array

Definition at line 139 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\normalizePathDataRow().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\extractUrlAliasFromData().

## ◆ normalizePathDataRow()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::normalizePathDataRow | ( | array & | $pathElementData,
|  | array | $row
| ) |  |
| protected

Parameters

  array | $pathElementData |
  array | $row |

Definition at line 158 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\normalizePathData().

## Member Data Documentation

## ◆ $languageMaskGenerator

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper::$languageMaskGenerator
| protected

Definition at line 22 of file Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\__construct().

The documentation for this class was generated from the following file:

- Publish/Core/Persistence/Legacy/Content/UrlAlias/Mapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.